import * as i0 from '@angular/core';
import { Pipe, NgModule } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { AppInjector } from '@yukawa/chain-base-angular-client';
import { marked } from 'marked';

class MarkedPipe {
    // Set the options for the markdown renderer
    constructor() {
        marked.setOptions({
            renderer: new marked.Renderer(),
            mangle: true,
            pedantic: false,
            gfm: true,
            breaks: true,
            smartLists: true,
            smartypants: false,
            xhtml: false,
        });
    }
    transform(value, ...args) {
        if (value && value.length > 0) {
            return AppInjector.get(DomSanitizer).bypassSecurityTrustHtml(marked(value));
        }
        return value;
    }
}
/** @nocollapse */ MarkedPipe.ɵfac = function MarkedPipe_Factory(t) { return new (t || MarkedPipe)(); };
/** @nocollapse */ MarkedPipe.ɵpipe = /** @pureOrBreakMyCode */ i0.ɵɵdefinePipe({ name: "marked", type: MarkedPipe, pure: true });
(function () {
    (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(MarkedPipe, [{
            type: Pipe,
            args: [{
                    name: 'marked',
                }]
        }], function () { return []; }, null);
})();

const components = [
    MarkedPipe,
];
class SharedModule {
}
/** @nocollapse */ SharedModule.ɵfac = function SharedModule_Factory(t) { return new (t || SharedModule)(); };
/** @nocollapse */ SharedModule.ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: SharedModule });
/** @nocollapse */ SharedModule.ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({});
(function () {
    (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(SharedModule, [{
            type: NgModule,
            args: [{
                    declarations: components,
                    exports: components,
                }]
        }], null, null);
})();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(SharedModule, { declarations: [MarkedPipe], exports: [MarkedPipe] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { MarkedPipe, SharedModule };
//# sourceMappingURL=yukawa-chain-base-angular-comp-shared.mjs.map
